StarPU Handbook

Macros | Enumerations | Functions
starpu_clusters.h File Reference
`#include <starpu_config.h>`
`#include <hwloc.h>`

Go to the source code of this file.

## Macros
#define | STARPU_CLUSTER_MIN_NB
#define | STARPU_CLUSTER_MAX_NB
#define | STARPU_CLUSTER_NB
#define | STARPU_CLUSTER_PREFERE_MIN
#define | STARPU_CLUSTER_KEEP_HOMOGENEOUS
#define | STARPU_CLUSTER_POLICY_NAME
#define | STARPU_CLUSTER_POLICY_STRUCT
#define | STARPU_CLUSTER_CREATE_FUNC
#define | STARPU_CLUSTER_CREATE_FUNC_ARG
#define | STARPU_CLUSTER_TYPE
#define | STARPU_CLUSTER_AWAKE_WORKERS
#define | STARPU_CLUSTER_PARTITION_ONE
#define | STARPU_CLUSTER_NEW
#define | STARPU_CLUSTER_NCORES
#define | starpu_intel_openmp_mkl_prologue

## Enumerations
enum | starpu_cluster_types { STARPU_CLUSTER_OPENMP , STARPU_CLUSTER_INTEL_OPENMP_MKL , STARPU_CLUSTER_GNU_OPENMP_MKL }

## Functions
struct starpu_cluster_machine * | starpu_cluster_machine (hwloc_obj_type_t cluster_level,...)
int | starpu_uncluster_machine (struct starpu_cluster_machine *clusters)
int | starpu_cluster_print (struct starpu_cluster_machine *clusters)
void | starpu_openmp_prologue (void *)
void | starpu_gnu_openmp_mkl_prologue (void *)